# Pricing

### REST API

Each request consumes 1 token.

#### Batched requests

[batchClearinghouseStates](/readme/rest-api/user-position-data/batchclearinghousestates.md) currently consume **25 tokens flat.**

[batchPortfolioStates](/readme/rest-api/user-position-data/batchportfoliostates.md) currently consumes **50 tokens flat.**

### **Websockets**

Currently, each tier gives you a limit of connections and max total websocket subscriptions. The tier limits are described below.

<table><thead><tr><th width="84.01959228515625"></th><th width="164.9609375">Max Connections</th><th width="202.1195068359375">Max Total Subscriptions</th><th>Max msgs to Hydromancer per minute</th><th>Orderbooks streamed</th></tr></thead><tbody><tr><td><strong>Starter</strong></td><td>50</td><td>500</td><td>300</td><td>5</td></tr><tr><td><strong>Growth</strong></td><td>500</td><td>5000</td><td>3000</td><td>10</td></tr><tr><td><strong>Scale</strong></td><td>1000</td><td>10000</td><td>6000</td><td>100</td></tr></tbody></table>

**Note**: every address passed in subscription logic counts as 1 subscription for ones where you can pass multiple (applicable to userFills, userOrderUpdates and userNonFundingLedgerUpdates).

### Add-ons

Some endpoints are ***add-ons**,* as the access needs to be purchased separately.

* [allFills](/readme/websocket/allfills.md)
* Market data add-ons ([perpSnapshot](/readme/rest-api/market-data/perpsnapshot.md), [spotSnapshot](/readme/rest-api/market-data/spotsnapshot.md), [perpTwapSnapshot](/readme/rest-api/market-data/perptwapsnapshot.md), [accountValueSnapshot](/readme/rest-api/market-data/accountvaluesnapshot.md), and [L4PerpBookSnapshot](/readme/rest-api/market-data/l4book.md))

### Tiers

We have three basic tiers, Starter, Growth, and Scale. We also offer bespoke pricing for partners who require a lot of requests or need granular, custom Hyperliquid data.

<table><thead><tr><th>Starter</th><th>Growth</th><th width="187">Scale</th><th>Enterprise</th></tr></thead><tbody><tr><td>$<strong>300</strong> per month</td><td>$<strong>1200</strong> per month</td><td>$<strong>2500</strong> per month</td><td><strong>Custom pricing</strong></td></tr><tr><td><strong>500k</strong> tokens</td><td>3m tokens</td><td>15m tokens</td><td>Unlimited API calls</td></tr><tr><td><strong>$60</strong> per 100k tokens overage</td><td>$25 per 100k tokens overage</td><td>$10 per 100k tokens overage</td><td>Unlimited addresses monitoring</td></tr><tr><td>For recently launched apps</td><td>Best plan for scaling teams</td><td>For data-rich, large apps</td><td></td></tr><tr><td>Testnet APIs</td><td>Testnet APIs</td><td>Testnet APIs</td><td></td></tr><tr><td><strong>5</strong> orderbook streams</td><td><strong>30</strong> orderbook streams</td><td><strong>100</strong> orderbook streams</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/pricing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
